dssi_osc_send(1)

NAME
dssi_osc_send - send OSC messages to DSSI applications.

SYNOPSIS
dssi_osc_send <option> <OSC URL> <values>

DESCRIPTION
dssi_osc_send sends DSSI OSC methods to DSSI applications. dssi_osc_send is typically used to control DSSI hosts (possibly for scripted operation), or to test DSSI user interfaces.

OPTIONS

-c  Send a `control' message. Requires two values to be supplied in the <values> section: control port and value. For example, to set control port 1 to 0.1:
      dssi_osc_send -c <OSC URL> 1 0.1

-p  Send a `program' message. Requires two values to be supplied in the <values> section: bank and program number. For example, to select bank 0 program number 7:
      dssi_osc_send -p <OSC URL> 0 7

-m  Send `midi' message. Requires four numbers to be supplied in the <values> section. For example, to send a note on, middle C, velocity 64:
      dssi_osc_send -m <OSC URL> 0 144 60 64

-C  Send a `configure' message. The <values> are the key and value pair. For example, to send key `load' and value `/tmp/patches.pat':
      dssi_osc_send -C <OSC URL> load /tmp/patches.pat

-s  Send a `show' message.
      dssi_osc_send -s <OSC URL>

-h  Send a `hide' message.
      dssi_osc_send -h <OSC URL>

-q  Send a `quit' message.
      dssi_osc_send -q <OSC URL>

-e  Send a `exiting' message.
      dssi_osc_send -e <OSC URL>

<OSC URL>
    The URL to connect to. For example:
      osc.udp://localhost:19383/dssi/test.1
      osc.udp://my.host.org:10886/dssi/xsynth-dssi/Xsynth/chan00

SEE ALSO
dssi_osc_update(1).

AUTHOR
This manual page was originally created by Mark Hymers from the help text of the application, for the Debian project (but may be freely used by others).